# Disable the legacy version by default
%bcond_with libnm_glib

# Disable gtk4
%bcond_with gtk4

%define fname NetworkManager-strongswan

# Uses common git repository with strongswan:
# https://github.com/strongswan/strongswan/tree/master/src/frontends/gnome

Name:      networkmanager-strongswan
Version:   1.6.0
Release:   %mkrel 1
Summary:   NetworkManager strongSwan IPSec VPN plug-in
License:   GPLv2+
URL:       https://www.strongswan.org/
Group:     System/Base
Source0:   https://download.strongswan.org/NetworkManager/%{fname}-%{version}.tar.bz2
Source1:   https://download.strongswan.org/NetworkManager/%{fname}-%{version}.tar.bz2.sig
Source2:   https://keys.openpgp.org/vks/v1/by-fingerprint/12538F8F689B5F1F15F07BE1765FE26C6B467584#/strongswan.asc
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(libnm) >= 1.1.0
BuildRequires: pkgconfig(libnma) >= 1.1.0
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: gnupg2
%if %{with gtk4}
BuildRequires: pkgconfig(gtk4)
BuildRequires: pkgconfig(libnma-gtk4)
%endif
%if %{with libnm_glib}
BuildRequires: pkgconfig(dbus-glib-1) >= 0.30
BuildRequires: pkgconfig(networkmanager) >= 1.1.0
BuildRequires: pkgconfig(libnm-util)
BuildRequires: pkgconfig(libnm-glib)
BuildRequires: pkgconfig(libnm-glib-vpn)
BuildRequires: pkgconfig(libnm-gtk)
%endif
Requires:      networkmanager
Requires:      strongswan-charon-nm >= 5.8.3

%global __provides_exclude ^libnm-.*\\.so

%description
This package contains software for integrating the strongSwan IPSec
VPN with NetworkManager.


%package gnome
Summary: NetworkManager VPN plugin for strongswan - GNOME files
Requires: networkmanager-strongswan = %{version}-%{release}

%description gnome
This package contains software for integrating the strongSwan IPSec
VPN with the graphical desktop.


%prep
%gpgverify -k 2 -d 0 -s 1
%autosetup -p1 -n %{fname}-%{version}


%build
%configure \
        --disable-static \
%if %{with gtk4}
        --with-gtk4 \
%endif
%if %{without libnm_glib}
        --without-libnm-glib \
%endif
        --with-charon=%{_libexecdir}/strongswan/charon-nm \
        --enable-more-warnings=no
%make_build


%install
%make_install
%find_lang %{fname}

rm -f %{buildroot}%{_libdir}/NetworkManager/libnm-*.la

%files -f %{fname}.lang
%{_prefix}/lib/NetworkManager/VPN/nm-strongswan-service.name
%doc NEWS


%files gnome
%if %{with gtk4}
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-strongswan-editor.so
%endif
%{_prefix}/lib/NetworkManager/nm-strongswan-auth-dialog
%{_libdir}/NetworkManager/libnm-vpn-plugin-strongswan-editor.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-strongswan.so
%{_metainfodir}/NetworkManager-strongswan.metainfo.xml

%if %{with libnm_glib}
%{_libdir}/NetworkManager/libnm-*-properties.so
%{_sysconfdir}/NetworkManager/VPN/nm-strongswan-service.name
%endif

%changelog
* Fri Sep 02 2022 ghibo <ghibo> 1.6.0-1.mga9
- Initial release based on FC one.
